summaryrefslogtreecommitdiff
path: root/test/integration/test-apt-cli-update
diff options
context:
space:
mode:
authorMichael Vogt <mvo@debian.org>2014-04-22 16:07:32 +0200
committerMichael Vogt <mvo@debian.org>2014-05-22 08:39:44 +0200
commit8f418981337503ff7abedd872f788b51bcdbc886 (patch)
tree26a1104d62281ca1773b3fd0a6d49dbc9c0ffc38 /test/integration/test-apt-cli-update
parent6f34deead51a1c200589994a4cf46b7d79a45e69 (diff)
show upgradable packages after apt update
Closes: 748389
Diffstat (limited to 'test/integration/test-apt-cli-update')
-rwxr-xr-xtest/integration/test-apt-cli-update17
1 files changed, 17 insertions, 0 deletions
diff --git a/test/integration/test-apt-cli-update b/test/integration/test-apt-cli-update
new file mode 100755
index 000000000..8237bf03f
--- /dev/null
+++ b/test/integration/test-apt-cli-update
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+
+setupenvironment
+configarchitecture "i386"
+
+insertpackage 'unstable' 'foo' 'all' '2.0'
+insertinstalledpackage 'foo' 'all' '1.0'
+
+setupaptarchive
+
+APTARCHIVE=$(readlink -f ./aptarchive)
+
+testequal "1 package can be upgraded. Run 'apt list --upgradable' to see it." apt update -q